#pragma once
#include <string>
#include <GL/glew.h>


namespace acidInterstate {
	class TextureClass
	{
	public:
		TextureClass(const char* path);
		~TextureClass();
		void setMipMapping(int mipMapping); 
		void setTextureSampling(bool textureSampling); 
		void bind(int unit);

	private: 
		GLuint handle; 
		int mipMapping;
		bool textureSampling;
	};
}



